"""! @file log.py
    @brief File with printing functions
    @author xlanro00
"""

import sys

def print_message(*args, **kwargs):
    '''Print given message to stderr.
    :param message: message to be printed
    '''

    print("APP:", *args, file=sys.stderr, **kwargs)


def error_exit(error_message):
    '''Print given error message and exit the application.
    :param message: error message to be printed
    '''

    print("ERROR: " + error_message, file=sys.stderr)
    exit(1)
